origin="Greenstone"
label="greenstone"
codename="greenstone"
domain="greenstone.org"
arch="i386 amd64 source"
description="Apt repository for Greenstone packages"
base=$(dirname $0)
repos=$base/repos

y() {
    echo "$@? [y|n]..." >&2
    echo -n "> " >&2
    read cho
    test "$cho" = "y" -o "$cho" = "Y"
    return $?
}

get() {
    echo "$1? [$2]..." >&2
    echo -n "> " >&2
    read cho
    test -z $cho && {
        cho=$2
        echo "Set to default '$cho'" >&2
    }
    echo $cho
}

write() {
    file=$1
    if touch $file 2>/dev/null; then
        cat - > $file
    else
        cat - | sudo tee $file
    fi
}
